# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['deutschland',
 'deutschland.hochwasserzentralen',
 'deutschland.hochwasserzentralen.api',
 'deutschland.hochwasserzentralen.apis',
 'deutschland.hochwasserzentralen.model',
 'deutschland.hochwasserzentralen.models']

package_data = \
{'': ['*']}

install_requires = \
['python-dateutil', 'urllib3>=1.25.3']

setup_kwargs = {
    'name': 'de-hochwasserzentralen',
    'version': '0.1.0',
    'description': 'hochwasserzentrale.de API',
    'long_description': '# hochwasserzentralen\nDas Länderübergreifendes Hochwasserportal (LHP) bietet auf https://www.hochwasserzentralen.de über die hier dokumentierte API Informationen zur Hochwassersituation in Deutschland an. Betreiber des LHP sind das Bayerische Landesamt für Umwelt (LfU) und die Landesanstalt für Umwelt Baden-Württemberg (LUBW).\nDie Urheberrechte an den veröffentlichten Daten liegen nach [Auskunft der Betreiber](https://www.hochwasserzentralen.de/impressum) bei der für das jeweilige Bundesland zuständigen Hochwasserzentrale bzw. beim jeweiligen Pegelbetreiber.\n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 1.0.0\n- Package version: 0.1.0\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\n\n## Requirements.\n\nPython >= 3.6\n\n## Installation & Usage\n### pip install\n\n```sh\npip install deutschland[hochwasserzentralen]\n```\n\n### poetry install\n\n```sh\npoetry add deutschland -E hochwasserzentralen\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\n## Usage\n\nImport the package:\n```python\nfrom deutschland import hochwasserzentralen\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nfrom deutschland import hochwasserzentralen\nfrom pprint import pprint\nfrom deutschland.hochwasserzentralen.api import default_api\nfrom deutschland.hochwasserzentralen.model.lage_pegel import LagePegel\n# Defining the host is optional and defaults to https://www.hochwasserzentralen.de\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = hochwasserzentralen.Configuration(\n    host = "https://www.hochwasserzentralen.de"\n)\n\n\n\n# Enter a context with an instance of the API client\nwith hochwasserzentralen.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = default_api.DefaultApi(api_client)\n    version = "20211130" # str | \n\n    try:\n        # Geojson der Bundesländer\n        api_response = api_instance.vhosts_geojson_bundesland_version_geojson_get(version)\n        pprint(api_response)\n    except hochwasserzentralen.ApiException as e:\n        print("Exception when calling DefaultApi->vhosts_geojson_bundesland_version_geojson_get: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *https://www.hochwasserzentralen.de*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*DefaultApi* | [**vhosts_geojson_bundesland_version_geojson_get**](docs/DefaultApi.md#vhosts_geojson_bundesland_version_geojson_get) | **GET** /vhosts/geojson/bundesland.{version}.geojson | Geojson der Bundesländer\n*DefaultApi* | [**webservices_get_infosbundesland_php_post**](docs/DefaultApi.md#webservices_get_infosbundesland_php_post) | **POST** /webservices/get_infosbundesland.php | Infos zu einem Bundesland.\n*DefaultApi* | [**webservices_get_infospegel_php_post**](docs/DefaultApi.md#webservices_get_infospegel_php_post) | **POST** /webservices/get_infospegel.php | Infos zu einem Pegel.\n*DefaultApi* | [**webservices_get_lagepegel_php_get**](docs/DefaultApi.md#webservices_get_lagepegel_php_get) | **GET** /webservices/get_lagepegel.php | Lage der Pegel mit Pegelnummern\n\n\n## Documentation For Models\n\n - [LagePegel](docs/LagePegel.md)\n\n\n## Documentation For Authorization\n\n All endpoints do not require authorization.\n\n## Author\n\nkontakt@bund.dev\n\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in hochwasserzentralen.apis and hochwasserzentralen.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from deutschland.hochwasserzentralen.api.default_api import DefaultApi`\n- `from deutschland.hochwasserzentralen.model.pet import Pet`\n\nSolution 2:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nfrom deutschland import hochwasserzentralen\nfrom deutschland.hochwasserzentralen.apis import *\nfrom deutschland.hochwasserzentralen.models import *\n```\n\n',
    'author': 'BundesAPI',
    'author_email': 'kontakt@bund.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/bundesAPI/hochwasserzentralen-api',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
